Subject: Re: e1000: backport ich9 support from 7.5.5 ?

From: Jeff Garzik <[email-masked]>
Date: Fri, 29 Jun 2007 16:55:34 -0400

Jason Lunz wrote:
> What's the prognosis for the 7.5.5-series e1000 reorg going into
> netdev-2.6?

As I have posted previously, I am not keen on merging basically an e1000 
rewrite.  That basically throws away all Internet-wide testing so far. 
The rewrite was not done according to Linux kernel standards (read: 
progression of changes), so any problems will bisect into The Big 
Commit(tm) and go no further.  A rewrite also means the complete driver 
has to be reviewed from scratch, since such a large patch is basically 
impossible to review.  Finally, the rewrite doesn't do much to clean up 
the e1000 driver.

I warned Intel for months not to do things this way, but I guess my 
opinion counts for little :)

	Jeff